(*
The window image form of the Window Contents Explorer utility by Alexei Hmelnov.
----------------------------------------------------------------------------
E-Mail: alex@monster.icc.ru
http://monster.icc.ru/~alex/
----------------------------------------------------------------------------

See the file "readme.txt" for more details.

------------------------------------------------------------------------
                             IMPORTANT NOTE:
This software is provided 'as-is', without any expressed or implied warranty.
In no event will the author be held liable for any damages arising from the
use of this software.
Permission is granted to anyone to use this software for any purpose,
including commercial applications, and to alter it and redistribute it
freely, subject to the following restrictions:
1. The origin of this software must not be misrepresented, you must not
   claim that you wrote the original software.
2. Altered source versions must be plainly marked as such, and must not
   be misrepresented as being the original software.
3. This notice may not be removed or altered from any source
   distribution.
*)
unit CapFm;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ExtCtrls, ExtDlgs, Menus, Clipbrd;

type
  TCaptureForm = class(TForm)
    PopupWImg: TPopupMenu;
    miSave: TMenuItem;
    miClose: TMenuItem;
    miCopy: TMenuItem;
    SavePictureDialog1: TSavePictureDialog;
    ScrollBox1: TScrollBox;
    WinImg: TImage;
    procedure miCloseClick(Sender: TObject);
    procedure miSaveClick(Sender: TObject);
    procedure miCopyClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  CaptureForm: TCaptureForm;

implementation

{$R *.DFM}

procedure TCaptureForm.miCloseClick(Sender: TObject);
begin
  Close;
end;

procedure TCaptureForm.miSaveClick(Sender: TObject);
var
  Gr: TGraphic;
  Cl: TGraphicClass;
begin
  Gr := WinImg.Picture.Graphic;
  if Gr=Nil then
    Exit;
  Cl := TGraphicClass(Gr.ClassType);
  SavePictureDialog1.DefaultExt := GraphicExtension(Cl);
  SavePictureDialog1.Filter := GraphicFilter(Cl);
  if not SavePictureDialog1.Execute then
    Exit;
  Gr.SaveToFile(SavePictureDialog1.FileName);
end;

procedure TCaptureForm.miCopyClick(Sender: TObject);
var
  Gr: TGraphic;
begin
  Gr := WinImg.Picture.Graphic;
  if Gr=Nil then
    Exit;
  Clipboard.Assign(Gr);
end;

end.
